const fs = require('fs')
const cors = require('cors');
const express = require('express');
const puppeteer = require('puppeteer');
const serveStatic = require('serve-static');

async function main() {
    const app = express();

    app.use(cors());
    app.use(express.json());
    app.use(serveStatic(__dirname + "/public"));

    app.post('/render', async (req, res) => {
        const browser = await puppeteer.launch({
            args: ['--no-sandbox', '--disable-setuid-sandbox']
        });

        const page = await browser.newPage();
        var template = fs.readFileSync('./index.html', 'utf8');

        await page.setContent(template);

        await page.evaluate((formData, params) => {
            render(formData, params);
        }, req.body.formData, req.body.parameters);

        let content = await page.content();
        await browser.close();
        res.send(content);
    });

    const port = process.env.PORT || 5000;
    app.listen(port);
    console.log('Server started ' + port);
}

main();